[arch-commits] CVS update of extra/x11/wmii (PKGBUILD config.mk)

Jeff Mickey jeff at archlinux.org
Wed Dec 19 18:34:34 EST 2007


    Date: Wednesday, December 19, 2007 @ 18:34:34
  Author: jeff
    Path: /home/cvs-extra/extra/x11/wmii

Modified: PKGBUILD (1.3 -> 1.4)
 Removed: config.mk (1.2)

upgpkg: wmii 3.6-1


-----------+
 PKGBUILD  |   39 ++++++++++++++++++++++++++++-----------
 config.mk |   24 ------------------------
 2 files changed, 28 insertions(+), 35 deletions(-)


Index: extra/x11/wmii/PKGBUILD
diff -u extra/x11/wmii/PKGBUILD:1.3 extra/x11/wmii/PKGBUILD:1.4
--- extra/x11/wmii/PKGBUILD:1.3	Tue Jan  9 23:59:17 2007
+++ extra/x11/wmii/PKGBUILD	Wed Dec 19 18:34:33 2007
@@ -1,26 +1,43 @@
-# $Id: PKGBUILD,v 1.3 2007/01/10 04:59:17 jeff Exp $
+# $Id: PKGBUILD,v 1.4 2007/12/19 23:34:33 jeff Exp $
 # Maintainer: Jeff Mickey <jeff at archlinux.org>
-# Maintainer : Aaron, phrakture, Griffin <aaron at archlinux.org>
 # Contributor: Jeffrey 'jf' Lim <jfs.world at gmail.com>
 
 pkgname=wmii
-pkgver=3.5.1
-pkgrel=3
+pkgver=3.6
+pkgrel=1
 pkgdesc="Next generation WMI (Window Manager Improved 2)"
+arch=('i686' 'x86_64') 
+license=('MIT')
 url="http://wmii.suckless.org/"
-depends=('glibc' 'libx11' 'libixp' 'dmenu')
-source=(http://suckless.org/download/$pkgname-$pkgver.tar.gz config.mk wmii.desktop)
-md5sums=('26705a7b59945b7d269921b45ac15cdf' 'fc72125a0ef01d4c4b1ab1472d254429'\
-         '997d01cd35931b548fa7e6d1011ff6d4')
+depends=('glibc' 'libx11' 'libixp>=0.4' 'dmenu')
+source=(http://suckless.org/download/$pkgname-$pkgver.tar.gz wmii.desktop)
+options=(!makeflags)
 
 build()
 {
   cd $startdir/src/$pkgname-$pkgver
-  cp ../config.mk .
 
-  make || return 1
-  make DESTDIR=$startdir/pkg install
+  sed -i \
+        -e "/^PREFIX/s|=.*|= ${startdir}/pkg/usr|" \
+		-e "/^ETC/s|=.*|= ${startdir}/pkg/etc|" \
+		-e "/^LIBDIR/s|=.*|= /usr/lib|" \
+		config.mk || return 1
+
+  make -j1 || return 1
+  make -j1 DESTDIR=$startdir/pkg install
 
   mkdir -p $startdir/pkg/etc/X11/sessions
   install -m644 ../wmii.desktop $startdir/pkg/etc/X11/sessions/
+
+
+  install -m644 -D ./LICENSE \
+                    $startdir/pkg/usr/share/licenses/wmii/LICENSE
+
+  # Rid paths of temporary install directory.
+  sed -i -e "s|${startdir}/pkg||g" "${startdir}/pkg/usr/bin/wmiistartrc"
 }
+
+md5sums=('9d17a09871fada998b4d989d9318bbf5'
+         '997d01cd35931b548fa7e6d1011ff6d4')
+sha1sums=('48e24f84f60b9c6ce37f715a46bc32e35d2086f3'
+          'd6e1bc22cd326be62084b7380a2fdee9fe6c422a')
Index: extra/x11/wmii/config.mk
diff -u extra/x11/wmii/config.mk:1.2 extra/x11/wmii/config.mk:removed
--- extra/x11/wmii/config.mk:1.2	Tue Jan  9 23:59:18 2007
+++ extra/x11/wmii/config.mk	Wed Dec 19 18:34:34 2007
@@ -1,24 +0,0 @@
-# Customized for Arch Linux <http://archlinux.org/>
-
-# paths
-PREFIX = /usr
-CONFPREFIX = /etc
-MANPREFIX = ${PREFIX}/man
-
-X11INC = /usr/include/X11
-X11LIB = /usr/lib
-
-VERSION = 3.5.1
-
-# includes and libs
-LIBS = -L${PREFIX}/lib -L/usr/include -lc -L${X11LIB} -lX11 -lixp -lm
-
-# Linux/BSD
-CFLAGS = -O2 -I. -I${PREFIX}/include -I/usr/include -I${X11INC} \
-	-DVERSION=\"${VERSION}\"
-LDFLAGS = ${LIBS}
-
-AR = ar cr
-CC = cc
-LD = ${CC}
-RANLIB = ranlib




More information about the arch-commits mailing list